package device.ui;

import java.awt.Font;
import java.awt.Graphics;

class MyLabeledButton extends MyButton {
	public String textRu = "";

	public String textEng = "";

	/**
	 * true - russian language false - english language
	 */
	public boolean language = true;

	void draw(Graphics g) {
		super.draw(g);
		Font font = new Font("Tahoma", Font.PLAIN, 22);
		g.setFont(font);
		if (language) {
			g.drawString(textRu, btnRegion.getLeft() + btnRegion.getWidth()
					+ 20, btnRegion.getTop() + btnRegion.getWidth() / 2 + 10);
		} else {
			g.drawString(textEng, btnRegion.getLeft() + btnRegion.getWidth()
					+ 20, btnRegion.getTop() + btnRegion.getWidth() / 2 + 10);
		}
	}

	void switchLanguage() {
		language = !language;
	}
}